<?php
// vim:set filetype=php:

/*
 * This is a sample configuration file.
 */

/*
 * Main global configuration. This parameters apply to any PoA defined in this
 * configuration file unless redefined locally.
 */
$papi_cfg = array(

//////////////////////////
// APPLICATION SETTINGS //
//////////////////////////

// the full path in the webserver to the root of the application
'Location'            => dirname($_SERVER['SCRIPT_NAME']),

// the domain of the cookie
'CookieDomain'        => $_SERVER['SERVER_NAME'],

// the local cookie timeout.
'CookieTimeout'       => 3600,

// the identifier of the service
'ID'                  => 'sample',

// the friendly name of the service
'FriendlyName'        => 'Friendly name for this example',

///////////////////////
// SECURITY SETTINGS //
///////////////////////

// private key to encrypt cookie data
'LKey'                => 'examplekey',

// a file with the public key (PEM format) of the GPoA or AS
'PubKeyFile'          => 'pubkey.pem',

///////////////////////
// DATABASE SETTINGS //
///////////////////////

// the type of database for local request storage to use.
// One of the following:
// * PAPI_DBA
// * PAPI_MYSQL
// * PAPI_SESSION
// WARNING: please note that using the PAPI_SESSION database
// backend may break applications using sessions underneath.
'DBType'              => PAPI_DBA,

// the database file.
// WARNING: DBA ONLY!
'DBFile'              => '../var/db/requests.db4',

// the database server.
// WARNING: MySQL ONLY!
'DBHost'              => 'db.example.com',

// the database username.
// WARNING: MySQL ONLY!
'DBUser'              => 'example',

// the user's password.
// WARNING: MySQL ONLY!
'DBPassword'          => 'example',

// the database name.
// WARNING: MySQL ONLY!
'DBName'              => 'example',

// the database table prefix.
// WARNING: MySQL ONLY!
'DBPrefix'            => 'example',

///////////////////////
// PROTOCOL SETTINGS //
///////////////////////

// the URL where to redirect to ask for authentication.
'RedirectURL'         => 'http://sir.rediris.es/sirtestgpoa/',
//'RedirectURL'         => 'http://www.rediris.es/SIRtestGPoA/papiPoA',

// the type of resource where we'll redirect. Can be GPOA_T or AS_T.
'RedirectType'        => GPOA_T,

// the ID of the identity provider the user should be directly redirected to.
// Leave empty to select manually.
'HomeLocatorID'       => '',

// the URL where logout should be performed for this application
'LogoutURL'           => '',
);

/*
 * Configuration for the site "samples". Define one for each site using the PoA.
 * Parameters defined here will override the general configuration.
 */
$papi_cfg['samples'] = array();

$papi_cfg['sample7'] = array();

$papi_cfg['sample8'] = array(
'ID'                  => 'sample8',
'FriendlyName'        => 'Ejemplo de logout en el phpPoA2',
'RedirectURL'         => 'https://gpoa-qa.agoravirtual.es/SimpleSAMLGPoA.php',
'LogoutURL'           => 'http://test36.rediris.es/poa2/samples/papi1.5-slo.php?logout',
'PubKeyFile'          => 'pubkey_slo.pem',
);

$papi_cfg['sample9'] = array(
'ID'                  => 'sample9',
'FriendlyName'        => 'Ejemplo de SP alternativo para probar el logout',
'RedirectURL'         => 'https://gpoa-qa.agoravirtual.es/SimpleSAMLGPoA.php',
'LogoutURL'           => 'http://test36.rediris.es/poa2/samples/papi1.5-slo-extra.php?logout',
'PubKeyFile'          => 'pubkey_slo.pem',
);


?>
